Rygel.Transcoder.can_handle – librygel-server Reference Manual

# can_handle

## Description:

public `bool` can_handle (`string` target)

Returns whether this trancoder can handle the specified DLNA profile. This is determined by the #RygelTranscodeManager, which checks the suitability of each #RygelTranscoder by calling rygel_transcoder_get_distance() with each #RygelMediaItem, choosing one DLNA profile for each transcoder to handle.

## Parameters:

target | A DLNA profile name as obtained from rygel_media_item_get_dlna_profile().

## Returns:

True if the transcoder can handle the specified DLNA profile.